"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCurrentPath = exports.Navigate = exports.Route = exports.Routes = exports.CustomRouter = exports.useLocation = void 0;
const tslib_1 = require("tslib");
// "react-router-dom": "^5.2.0",
const React = tslib_1.__importStar(require("react"));
const react_router_dom_1 = require("react-router-dom");
var react_router_dom_2 = require("react-router-dom");
Object.defineProperty(exports, "useLocation", { enumerable: true, get: function () { return react_router_dom_2.useLocation; } });
function CustomRouter({ basename, children, future, history, }) {
    return React.createElement(react_router_dom_1.Router, { history: history }, children);
}
exports.CustomRouter = CustomRouter;
function Routes(props) {
    return React.createElement(react_router_dom_1.Switch, null, props.children);
}
exports.Routes = Routes;
function Route(props) {
    const { path: _path, element, Component, exact } = props;
    let path = React.useMemo(() => {
        var _a;
        const matched = (_a = _path === null || _path === void 0 ? void 0 : _path.match) === null || _a === void 0 ? void 0 : _a.call(_path, /(.*)\/\*$/);
        if (matched === null || matched === void 0 ? void 0 : matched[1]) {
            return matched === null || matched === void 0 ? void 0 : matched[1];
        }
        return _path === '*' ? undefined : _path;
    }, [_path]);
    return (React.createElement(react_router_dom_1.Route, { exact: exact, path: path, render: Component }, element));
}
exports.Route = Route;
function Navigate({ to, replace }) {
    const location = (0, react_router_dom_1.useLocation)();
    return (React.createElement(react_router_dom_1.Redirect, { to: Object.assign(Object.assign({}, location), { pathname: to }) }));
}
exports.Navigate = Navigate;
function useCurrentPath() {
    const { path } = (0, react_router_dom_1.useRouteMatch)();
    return path;
}
exports.useCurrentPath = useCurrentPath;
/* <Router history={history}>
  <React.Suspense fallback={<Loading />}>
    <Switch>
      {home && (
        <Route
          path={`/${home.root || ''}`}
          exact
          render={({ location }) => {
            return (
              <Redirect
                to={{
                  ...location,
                  pathname: home.path,
                }}
              />
            );
          }}
        />
      )}
      {routes.map((route) => {
        // 采用 render 的方式 企业工作台内路由会有两次变化
        // 从而两次 render page 导致 widgets 引用异常
        // __POWERED_BY_QIANKUN__
        const Component = route.render;
        const adminPortal = simpleCheckAdminPortal();
        return (
          <Route key={route.path} path={route.path} render={adminPortal ? undefined : Component}>
            {adminPortal ? <Component /> : null}
          </Route>
        );
      })}
      <Route>{({ location }) => <NotFound path={location?.pathname} onNotFound={onNotFound} />}</Route>
    </Switch>
  </React.Suspense>
</Router>; */
//# sourceMappingURL=router5.js.map