"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RendererParser = void 0;
class RendererParser {
    onStart(context) {
        this.renderer = {};
    }
    parseModule(pageId, mod) {
        var _a, _b, _c;
        if (mod.name === '____index____')
            return;
        const [, , folder] = (_a = mod.path) === null || _a === void 0 ? void 0 : _a.split('/');
        if (folder) {
            this.renderer[pageId] = this.renderer[pageId] || {};
            this.renderer[pageId][folder] = (_b = mod.exports) === null || _b === void 0 ? void 0 : _b.default;
        }
        else
            this.renderer[pageId] = (_c = mod.exports) === null || _c === void 0 ? void 0 : _c.default;
    }
    onEnd(context) {
        context.renderer = this.renderer;
    }
}
exports.RendererParser = RendererParser;
//# sourceMappingURL=rendererParser.js.map